/*****
 * Copyright (c) 2024 - Poivron Robotique
 *
 * SPDX-License-Identifier: BSD-3-Clause
*/
#include "pico/stdlib.h"
#include "Teleplot.h"
#include "Temps.h"
#include <stdio.h>

void setup(void);
void loop(void);

int valeur = 1;

void main(void)
{
    setup();
	while(1){
		loop();
	}
}

void setup(void){
	stdio_init_all();
	Teleplot_init();
	Temps_init();

	// Broches des codeur gérées en GPIO
	gpio_init(11); // Codeur 1, voie A
	gpio_init(12); // Codeur 1, voie B
	gpio_init(2);  // Codeur 2, voie A
	gpio_init(3);  // Codeur 2, voie B

	// Broches des codeur en entrée
	gpio_set_dir(11, false); // Codeur 1, voie A
	gpio_set_dir(12, false); // Codeur 1, voie B
	gpio_set_dir(2, false);  // Codeur 2, voie A
	gpio_set_dir(3, false);  // Codeur 2, voie B
}

void loop(void){
	Teleplot_add_variable_int("Codeur1_A", gpio_get(11));
	Teleplot_add_variable_int("Codeur1_B", gpio_get(12));
	Teleplot_add_variable_int("Codeur2_A", gpio_get(2));
	Teleplot_add_variable_int("Codeur2_B", gpio_get(3));
	Teleplot_envoie_tampon();
}